package org.jboss.cache.factories;

import org.jboss.cache.factories.annotations.DefaultFactoryFor;

import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

/**
 * Dead simple class to create a lock factory
 *
 * @author Manik Surtani (<a href="mailto:manik@jboss.org">manik@jboss.org</a>)
 * @since 2.1.0
 */
@DefaultFactoryFor(classes = Map.class)
public class LockTableFactory extends EmptyConstructorFactory
{
   private static final String LOCK_MAP_COMPONENT_NAME = "LockTable";

   @Override
   @SuppressWarnings("unchecked")
   protected <T> T construct(String componentName, Class<T> componentType)
   {
      if (componentName.equals(LOCK_MAP_COMPONENT_NAME))
         return (T) new ConcurrentHashMap();
      else
      {
         log.warn("Unknown component name " + componentName);
         return null;
      }
   }
}
