package org.jboss.cache.marshall;

import java.io.IOException;
import java.io.InputStream;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.OutputStream;

/**
 * ObjectStreamFactory
 *
 * @author Clebert Suconic
 * @author <a href="mailto:galder.zamarreno@jboss.com">Galder Zamarreno</a>
 * @since 1.4.1
 */
public interface ObjectStreamFactory
{
   public ObjectOutputStream createObjectOutputStream(OutputStream out) throws IOException;

   public ObjectInputStream createObjectInputStream(byte[] bytes) throws IOException;

   public ObjectInputStream createObjectInputStream(InputStream in) throws IOException;
}
