package org.jboss.cache.marshall;

import org.jboss.cache.RegionManager;
import org.jboss.cache.config.Configuration;
import org.jboss.cache.factories.ComponentRegistry;

/**
 * @author Manik Surtani (<a href="mailto:manik@jboss.org">manik@jboss.org</a>)
 * @since 2.1.0
 */
public abstract class AbstractVersionAwareMarshallerTest
{
   protected VersionAwareMarshaller createVAM(String replVersion)
   {
      Configuration c = new Configuration();
      c.setReplVersionString(replVersion);
      return createVAM(c, new RegionManager());
   }

   protected VersionAwareMarshaller createVAM(Configuration c, RegionManager rm)
   {
      ComponentRegistry cr = new ComponentRegistry(c);
      cr.registerComponent(rm, RegionManager.class);
      c.setReplVersionString(c.getReplVersionString());
      VersionAwareMarshaller vam = new VersionAwareMarshaller();

      cr.wireDependencies(vam);
      vam.init();
      vam.initReplicationVersions();
      return vam;
   }
}
